Loading...
Searching...
No Matches
tag_type_s Struct Reference

Tag structure. More...

`#include <su_tag.h>`

## Data Fields

char const * | tt_ns
| Tag namespace (e.g., "sip" or "nua").
char const * | tt_name
| Tag name (e.g, "min_se").
tag_class_t * | tt_class
| Tag class defines the type of the value.
tag_value_t | tt_magic
| Class-specific data (e.g., pointer to header class structure).

## Detailed Description

Tag structure.

The tag structure contains the name, namespace and class of the tag. The fourth field, tt_magic, is interpreted by the tag class.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.